
QGIS Application - Bug report #21494

user profile crashes when opening at the auth master password prompt

2019-03-06 04:36 AM - Hannah Davis

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.6.0 Regression?: No

Operating System: windows 10 6bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 29311

Description

User Feedback

Trying to open project in a different user profile. Crashes at auth. master password window

Report Details

Crash ID: 3c13f5b59a482a3bb52d20bf77767a1c0880b65d

Stack Trace

QgsMapLayerProxyModel::filterAcceptsRow :

QSortFilterProxyModel::sortRole :

QSortFilterProxyModel::`default constructor closure' :

QMetaObject::activate :

QAbstractItemModel::endInsertRows :

QgsMapLayerModel::addLayers :

QMetaObject::activate :

QgsProject::layersAdded :

QMetaObject::activate :

QgsMapLayerStore::layersAdded :

QgsMapLayerStore::addMapLayers :

QgsProject::addMapLayers :

QgsProject::addLayer :

QgsProject::_getMapLayers :

QgsProject::readProjectFile :

QgsProject::unzip :

QgsProject::read :

QgisApp::addProject :

QgisApp::openProject :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.0-Noosa

QGIS code revision: commit:58734527ab

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17763
History

#1 - 2019-03-06 12:05 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

I cannot replicate, this is the workflow I followed:

create a postgis connection using username/password

converted to auth configuration

set master password

added a layer from the connection that now uses the auth configuration

saves the project

created the new profile

opened the project with the new profile > username and password are asked, the new profile doesn't contain the auth db  of the original profile

#2 - 2019-03-23 01:09 PM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closing for lack of feedback.
